function $AdfDomReplacedEvent$$($source$$53$$, $clientIds$$) {
  this.Init($source$$53$$, $clientIds$$);
}
$goog$exportSymbol$$("AdfDomReplacedEvent", $AdfDomReplacedEvent$$);
$AdfObject$$.$createSubclass$($AdfDomReplacedEvent$$, $AdfBaseEvent$$);
$AdfDomReplacedEvent$$.$EVENT_TYPE$ = "domReplaced";
$goog$exportSymbol$$("AdfDomReplacedEvent.EVENT_TYPE", $AdfDomReplacedEvent$$.$EVENT_TYPE$);
$AdfDomReplacedEvent$$.prototype.Init = function $$AdfDomReplacedEvent$$$$Init$($source$$54$$, $clientIds$$1$$) {
  $AdfDomReplacedEvent$$.$superclass$.Init.call(this, $source$$54$$, $AdfDomReplacedEvent$$.$EVENT_TYPE$);
  this.$_clientIds$ = $AdfCollections$$.$cloneArray$($clientIds$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDomReplacedEvent.prototype.Init", {Init:$AdfDomReplacedEvent$$.prototype.Init});
$AdfDomReplacedEvent$$.prototype.$getClientIds$ = function $$AdfDomReplacedEvent$$$$$getClientIds$$() {
  return $AdfCollections$$.$cloneArray$(this.$_clientIds$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDomReplacedEvent.prototype.getClientIds", {$getClientIds$:$AdfDomReplacedEvent$$.prototype.$getClientIds$});
$AdfDomReplacedEvent$$.prototype.$containsClientId$ = function $$AdfDomReplacedEvent$$$$$containsClientId$$($clientId$$12$$) {
  var $clientIdsMap$$ = this.$_clientIdsMap$;
  if (!$clientIdsMap$$) {
    for (var $clientIds$$2$$ = this.$_clientIds$, $clientIdsCount$$ = $clientIds$$2$$.length, $clientIdsMap$$ = {}, $i$$48$$ = 0;$i$$48$$ < $clientIdsCount$$;$i$$48$$++) {
      $clientIdsMap$$[$clientIds$$2$$[$i$$48$$]] = !0;
    }
    this.$_clientIdsMap$ = $clientIdsMap$$;
  }
  return $clientId$$12$$ in $clientIdsMap$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDomReplacedEvent.prototype.containsClientId", {$containsClientId$:$AdfDomReplacedEvent$$.prototype.$containsClientId$});
